predict-gsat_2.2.3-4build2_i386.deb


Advertisement

Description

predict-gsat - Graphical Satellite Tracking Client Program

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename predict-gsat_2.2.3-4build2_i386.deb
Package name predict-gsat
Package version 2.2.3
Package release 4build2
Package architecture i386
Package type deb
Category universe/hamradio
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 196.13 KB
Installed size 811.00 KB
The gsat program is a graphical client for the 'predict' satellite tracking
program running in server mode, built using gtk.
Since this program can be run on a different machine than predict, there is
no dependency specified... but you need access to a copy of 'predict'
installed somewhere on the network for this programs to be useful!

Alternatives

Package Version Architecture Repository
predict-gsat_2.2.3-4build2_amd64.deb 2.2.3 amd64 Ubuntu Universe
predict-gsat - - -

Requires

Name Value
libc6 >= 2.15
libforms2 -
libglib2.0-0 >= 2.12.0
libgtk2.0-0 >= 2.8.0
libpango-1.0-0 >= 1.14.0
netbase >= 4.07

Download

Type URL
Mirror archive.ubuntu.com
Binary Package predict-gsat_2.2.3-4build2_i386.deb
Source Package predict

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install predict-gsat deb package:
    # sudo apt-get install predict-gsat

Files

Path
/usr/bin/gsat
/usr/bin/predict-map
/usr/lib/gsat/gsat.db
/usr/lib/gsat/gsat.prefs
/usr/lib/gsat/plugins/radio_FT736
/usr/lib/gsat/plugins/radio_FT847
/usr/lib/gsat/plugins/radio_ICR10
/usr/lib/gsat/plugins/radio_print
/usr/lib/gsat/plugins/radio_test
/usr/lib/gsat/plugins/rotor_pictrack
/usr/lib/gsat/plugins/rotor_print
/usr/share/doc/predict-gsat/AUTHORS
/usr/share/doc/predict-gsat/NEWS.gz
/usr/share/doc/predict-gsat/Plugin_API
/usr/share/doc/predict-gsat/README
/usr/share/doc/predict-gsat/changelog.Debian.gz
/usr/share/doc/predict-gsat/copyright
/usr/share/man/man1/gsat.1.gz
/usr/share/man/man1/predict-map.1.gz

Changelog

2018-04-03 - Balint Reczey <rbalint@ubuntu.com>
predict (2.2.3-4build2) bionic; urgency=high
* No change rebuild to pick up -fPIE compiler default
2016-02-07 - Matthias Klose <doko@ubuntu.com>
predict (2.2.3-4build1) xenial; urgency=medium
* No-change rebuild for ncurses6 transition.
2013-09-29 - Bdale Garbee <bdale@gag.com>
predict (2.2.3-4) unstable; urgency=low
* fix FTBFS through application of blunt force to gsat's Makefile.am,
closes: #713687
2011-12-06 - gregor herrmann <gregoa@debian.org>
predict (2.2.3-3.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "ftbfs with gold or ld --no-add-needed": add patch from Ubuntu / 
John T. Nogatch (move -lm to the end of the lines in debian/rules). 
Change the order of some more cc invocations.
(Closes: #615766, LP: #770815)
2010-05-27 - A. Maitland Bottoms <bottoms@debian.org>
predict (2.2.3-3) unstable; urgency=low
* Update for libforms2 (Closes: #583174)
* debian/compat set to 7.
* Bump Standards Version to 3.8.4.
* man page is OK, don't include predict.txt.gz (Closes: #429049)
* Include patches from Ubuntu (Closes: #576087, #576365)
* debian/patched/140_fix-buffer-overflow.diff: Fix buffer
overflow on launching with -s (patch from Norvald H. Ryeng)
* debian/patches/141_buffer_overflow.diff: Fix a buffer overflow that 
makes predict-g1yyh crash when printing predictions (p, v, s, n and
o commands). Patch courtesy of Norvald H. Ryeng
* debian/patches/180_reworked_gui.diff: resizes and repositions
widgets after GTK2 changes. Patch courtesy of Norvald H. Ryeng
2009-11-15 - A. Maitland Bottoms <bottoms@debian.org>
predict (2.2.3-2) unstable; urgency=low
* Acknowledge NMU - Barry deFreese's change to quilt
and general bug fixing (Closes: #429055, #437790, #515432)
* build gsat with current config.sub and config.guess files
* Lintian fixes, minimize .diff size
2009-03-12 - Barry deFreese <bdefreese@debian.org>
predict (2.2.3-1.1) unstable; urgency=low
* Non-maintainer upload.
* Add quilt patch system.
+ Move existing inline changes to quilt.
* Build with Gtk2. (Closes: #515432).
* Install defaults in proper location. (Closes: #429055).
+ Thanks to Timo Lindfors for the fix.
* Don't strip on build. (Closes: #437790).
+ Thanks to Timo Lindfors for the fix.
* Make clean not ignore errors.
* Bump debhelper build-dep to >> 5.0.0.
* Move DH_COMPAT from rules to debian/compat and set to 5.
* Bump Standards Version to 3.8.3.
2006-08-05 - A. Maitland Bottoms <bottoms@debian.org>
predict (2.2.3-1) unstable; urgency=low
* New upstream release
* New predict-g1yyh is predict-2.2.1jh4.c
* Acknowledge NMU, fix X build, update standards version
* mention predict-map in description (Closes: #379731)
2006-07-31 - Margarita Manterola <marga@debian.org>
predict (2.2.2-6.1) unstable; urgency=low
* Non-Maintainer Upload to fix Failure to Build From Source due to a change
in the location of forms.h.  Thanks to Luca Bruno for the patch.
(Closes: #379495).
2005-09-11 - A. Maitland Bottoms <bottoms@debian.org>
predict (2.2.2-6) unstable; urgency=low
* Correct errno use in gsat application (Closes: #326399)
* Define _XOPEN_SOURCE for correctly using Unix98 pty support
function ptsname() in fodtrack utility (Closes: #326396)

See Also

Package Description
predict_2.2.3-4build2_i386.deb Satellite Tracking Program with Optional Voice Output
predictnls_1.0.20-4_all.deb prediction and analysis of protein nuclear localization signals
predictprotein_1.1.07-3_all.deb suite of protein sequence analysis tools
prelink_0.0.20131005-1_i386.deb ELF prelinking utility to speed up dynamic linking
preload_0.6.4-2build1_i386.deb adaptive readahead daemon
prelude-correlator_4.1.1-2_all.deb Security Information and Events Management System [ Correlator ]
prelude-lml-rules_4.1.0-1_all.deb Security Information and Events Management System [ LML Rules ]
prelude-lml_4.1.0-1_i386.deb Security Information and Events Management System [ Log Agent ]
prelude-manager_4.1.1-2_i386.deb Security Information and Events Management System [ Manager ]
prelude-notify_0.9.1-1.1_all.deb Security Information Management System [ Desktop Notifier ]
prelude-utils_4.1.0-4_i386.deb Security Information and Events Management system [ Utils ]
preludedb-utils_4.1.0-1_i386.deb Security Information and Events Management System [ Library utils ]
premake4_4.3+repack1-2build1_i386.deb cross-platform build script generator
prepair-data_0.7.1-1build4_all.deb polygon repair tool -- example data
prepair_0.7.1-1build4_i386.deb polygon repair tool
Advertisement
Advertisement